> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delink Schema from Event

> Remove the linked schema from an event, making it schema-less. This allows the event to accept any payload structure without validation against a predefined schema.



## OpenAPI

````yaml PATCH /v1/{workspace}/event/{url_encoded_event_name}/delink_schema/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/event/{url_encoded_event_name}/delink_schema/:
    patch:
      summary: Delink Schema from Event
      description: >-
        Remove the linked schema from an event, making it schema-less. This
        allows the event to accept any payload structure without validation
        against a predefined schema.
      operationId: delink-event-schema
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
        - in: path
          name: url_encoded_event_name
          required: true
          schema:
            type: string
          description: URL encoded event name. Example - `SHIPMENT%20ARRIVED`
      responses:
        '200':
          description: Successfully delinked schema from event
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: Event name
                    example: user_signup
                  description:
                    type: string
                    description: Description of the event
                    example: >-
                      Triggered whenever a new user successfully signs up on the
                      platform
                  payload_schema:
                    type: null
                    description: Schema has been delinked from the event
                    example: null
                  created_at:
                    type: string
                    format: date-time
                    description: When the event was created
                    example: '2025-08-27T09:30:57.945326Z'
                  $schema:
                    type: string
                    description: >-
                      JSON Schema reference for how the event API call should be
                      structured
                    example: https://schema.suprsend.com/event/v1/schema.json
                example:
                  name: user_signup
                  description: >-
                    Triggered whenever a new user successfully signs up on the
                    platform
                  payload_schema: null
                  created_at: '2025-08-27T09:30:57.945326Z'
                  $schema: https://schema.suprsend.com/event/v1/schema.json
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code
                    example: 400
                  error_code:
                    type: string
                    description: Error code identifier
                    example: error
                  type:
                    type: string
                    description: Error type
                    example: ValidationError
                  message:
                    type: string
                    description: Error message
                    example: Event does not have a linked schema to delink
                  detail:
                    type: object
                    description: Detailed error information
                    example:
                      payload_schema:
                        - Event does not have a linked schema to delink
              example:
                code: 400
                error_code: error
                type: ValidationError
                message: Event does not have a linked schema to delink
                detail:
                  payload_schema:
                    - Event does not have a linked schema to delink
        '401':
          $ref: '#/components/responses/AuthenticationError'
          description: AuthenticationFailed - Invalid service token.
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code
                    example: 404
                  error_code:
                    type: string
                    description: Error code identifier
                    example: not_found
                  type:
                    type: string
                    description: Error type
                    example: NotFound
                  message:
                    type: string
                    description: Error message
                    example: Event 'user_signup' not found in workspace 'staging'
                  detail:
                    type: string
                    description: Detailed error information
                    example: Event 'user_signup' not found in workspace 'staging'
              example:
                code: 404
                error_code: not_found
                type: NotFound
                message: Event 'user_signup' not found in workspace 'staging'
                detail: Event 'user_signup' not found in workspace 'staging'
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: Delink Schema from Event
          source: >
            curl -X PATCH
            "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/"
            \
              --header 'Authorization: ServiceToken <token>' \
              --header 'Content-Type: application/json'
components:
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````